@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');
@font-face {
    font-family: 'Tungsten' ;
    src: url(Fonts/AnyConv.com__Tungsten-Medium.ttf);
}
@font-face {
    font-family: 'Myriad';
    src: url(Fonts/AnyConv.com__MyriadPro-Regular.ttf);
}
@font-face {
    font-family: 'Keepcalm';
    src: url(Fonts/KeepCalm-Medium.ttf);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Century Gothic';
}

:root{
    --colorprimario: ;
    --colorbackground: #252128;
    --heightnav: 80px;
    --fonttextsize: 1.5rem;
    --fonttitlesize: 4rem;
    --fontfamilydestacado: 'Century Gothic', 'Open Sans';
    --fontfamilySecundiario: 'Century Gothic', 'Open Sans';
    --fontfamilyterciario: 'Keepcalm';
    --fontfamilyfooter: 'Open Sans', sans-serif;
    --fontcolordestacado: #FF9E00;
    --bodycolor: #535B65;
    --bodycolortransparent: rgba(36, 32, 39, 0.753);
    --imgopacidad: rgba(0, 0, 0, .5);
 
}

html{
    scroll-behavior: smooth;
    
}

body{
   overflow-x: hidden; 
   background-color: var(--bodycolor);
}


.copy{
    font-family: var(--fontfamilydestacado);
    font-size: 1.3rem;
}

span{
    color: var(--fontcolordestacado);
    font-size: calc(1.3 * var(--fonttitlesize));
}

.span__copy{
    font-size: calc(1 * var(--fonttitlesize));
}
.paragraph{
    font-family: var(--fontfamilydestacado);
    font-size: 1.5rem;
    color: white;
    line-height: 3rem;
}

.idiomas{
    width: 60px;
    height: 60px;
    position: fixed;
    z-index: 8;
    border-radius: 50%;
    background-color: #FF9E00;
    background-image: url(/img/language.png);
    background-size: cover;
    bottom: 0;
    right: 0;
    margin-bottom: 30px;
    margin-right: 30px;
    cursor: pointer;
    transition: all .8s;
    -webkit-tap-highlight-color: transparent;
}

.idiomas:hover{
    box-shadow: 0 0 8px #FFB030;
    transition: all 300ms;
}


.idiomas__links{
    width: 150px;
    height: max-content;
    position: relative;
    right: 39px;
    bottom: 110px;
    opacity: 0;
    visibility: hidden;
    margin-bottom: 150PX;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: all 300ms;
}



.idiomas__links .idioma__link:nth-child(1){
    transform: translateY(-150%)
    
}
.idiomas__links .idioma__link:nth-child(1):hover{
    filter: drop-shadow(0 0 5px #1B5E20);
    transition: all 300ms;
}
.idioma__link:nth-child(2){
    transform: translateY(-130%)
    
}
.idiomas__links .idioma__link:nth-child(2):hover{
    filter: drop-shadow(0 0 5px #283991);
    transition: all 300ms;
}
.idioma__link:nth-child(3){
    transform: translateY(-110%)
    
}
.idiomas__links .idioma__link:nth-child(3):hover{
   -webkit-filter: drop-shadow(0 0 5px blue);
    filter: drop-shadow(0 0 5px #D80027);
    transition: all 300ms;
}

.idioma__link{
    transition: all 300ms;
}
.idioma__link img{
    display: block;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    transition: all .300ms;
    object-fit: fill;
}


.is-visible{
    visibility: visible;
    position: relative;
    padding-right: 15px;
    opacity: 1;
   
  transition: all .6s;
}
/*Estilos de la barra de navegacion*/

.nav{
    background-color: var(--colorbackground);
    width: 100%;
    height: var(--heightnav);
  position: fixed;
  z-index: 9;
  transition: transform .2s;
  margin-top: calc(-1 * var(--heightnav));  
}

.Inicio{
  margin-top: calc(var(--heightnav));
}

.nav--hidden{
    transform: translateY(calc(-1 * var(--heightnav)));
    
}

.nav__container{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin: 0 .5em;
   
}


.nav__img{
    height: var(--heightnav);
    padding: 0 20px;
}

.nav__links{
   
    display: inline-flex;
    justify-content: space-around;
    width: 70%; 
    align-content: center;
}

.nav__link{
    color: white;
    text-decoration: none;
    font-size: var(--fonttextsize);
    font-family: var(--fontfamilydestacado);
    border-top: 1px solid rgba(255, 255, 255, 0.575);
    padding-top: 15px;
    display: inline-block;
    transition: all .1s linear;
}

.nav__link:hover{
    border-top: 3px solid var(--fontcolordestacado);
    color: var(--fontcolordestacado);
    margin-top: -2px;
    transition: all .1s linear;
}

.menu{
    padding-right: 30px;
    visibility: hidden;
    position: fixed;
    display: inline-block;
}
/*Estilos del Inicio*/

.section__inicio{
    width: 100vw;
    height: calc(100vh - var(--heightnav));
    overflow: hidden;
    position: relative;
    margin-top: var(--heightnav);
    
}


.title--absolute{
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    justify-content: flex-start;
    text-align: left;
    flex-direction: column-reverse;
    bottom: 50px;
    left: 100px;
}

.titleprimary{
    color: white;
    font-size: var(--fonttitlesize);
    font-family: var(--fontfamilydestacado);
    text-shadow: 10px 15px 20px rgba(0, 0, 0, 0.8);
}

.overlay{
    width: 100vw;
    height: 100%;
    position: absolute;
    background: rgb(255,158,0);
    background: linear-gradient(0deg, rgba(255,158,0,0.3) 0%, rgba(3,3,3,0.48283840565199265) 100%);
}

.inicio__video{
    margin-top: -80px;
    width: 100%;
    object-fit: cover;
}

.slider__inicio{
    display: none;
}
/*Estildos seccion promesa*/

.Promesa{
    overflow: hidden;
}

.promesa__img{
height: 80vh;
width: 100vw;
border-top: 4px solid white;
background-repeat: no-repeat;
background-position: center;
background-size: cover;
display: flex;
align-items: flex-end;

}

.promesa__img:last-child{
    border-bottom: 4px solid white;
}
.title{
    color: white;
    font-size: var(--fonttitlesize);
    font-family: var(--fontfamilyfooter); 
    visibility: hidden;
}

.title::first-letter{
    color: var(--fontcolordestacado);
    font-size: calc(1.3 * var(--fonttitlesize));
}

.div__maintitle{
    display: flex;  
    position: absolute;
    width: 100%;
    z-index: 7;
    flex-direction: row-reverse;

}

.title__main{
    margin-right: 1.5em;
    margin-top: 1em;
    font-size: 5rem;
    
}

.title__promesa{
    width: 100%;
    height: min-content;
    display: inline-block;
    text-align: center;
    font-weight: 300;
    margin-bottom: 30px;
    z-index: 100;
    position: absolute;
}


.title__promesa::first-letter{
    color: var(--fontcolordestacado) ; 
    
}

.promesa__images{
    
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(65%);
}


/*Estilos Nosotros*/

.nosotros__container{
    background-image: url(../img/Dia\ a\ Dia.jpg);
  
    background-repeat: no-repeat;
    background-position: top;
    background-size: cover;
    background-attachment: fixed;
    width: 100vw;
    height: 110vh;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.nosotros__paragraph{
    font-size: 1.2em;
}
.container__copy{
    
    display: flex;
    flex-direction: column;
    height: max-content;
    max-height: 130vh;
    width: auto;
    max-width: 45%;
    border-radius: 5px;
    background-color: var(--bodycolortransparent);
   margin-right: 5em;
    padding: 1.5em 2em;
    overflow: hidden;
    letter-spacing: 1.2px;
    transition: all .3s;
}

.container__copy:hover{
    transform: scale(1.02);
    background-color: rgba(36, 32, 39, 0.9);
    transition: all .3s;
    
}

.title__nosotros{
    letter-spacing: 2px;
    font-size: 3rem;
}

.proyectos{
    background-color: #252128;
    color: white;
    display: block;
    width: 100vw;
    height: max-content;
   display: flex;
    flex-direction: column;
    align-items: center;
}

.grid__proyectos{
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    width: 80%;
}


.item__proyectos{
    display: flex;
    margin: 1.5rem;
    border: 1px solid #FF9E00;
    padding-right: 1.5rem;
    height: 40vh;
    text-align: right;
}

.item__proyectos:nth-child(2n){
flex-direction: row-reverse;
padding-left: 1.5rem;
padding-right: 0;
text-align: left;
}

.proyecto__img{
    width: 60%; 
    object-fit: cover;
    object-position: top;
    filter: brightness(65%);
    flex-shrink: 0;
}

.proyectos__container{
   margin: auto 1.5rem;
   
}

.title__container{
    color: #FF9E00;
    font-family: var(--fontfamilydestacado);
}

/*Servicios*/
.servicios{
   display: flex;
    background-color: #252128;
    height: max-content;
    width: 100vw;
  align-items: center;
  justify-content: center;
  flex-flow: column;
}


.circle{
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    width: 280px;
    height: 280px;
    text-align: center;
    color: white;
    padding: 1rem 2rem;
    border-radius: 100%;
    transition: all .3s ease;
    font-weight: 400;
    font-family: var(--fontfamilySecundiario);
    
}

.circle:hover{
    transform: scale(115%) ;
    font-size: inherit;
    font-weight: 400;
}

.circle::after{
    content: "";
    position: absolute;
    height: inherit;
    width: inherit;
    border: .1em dashed #FF9E00;
    border-radius: 100%;
    animation: spin 60s linear infinite, animatecircle 10s ease infinite alternate;;
   
}

.circle__title{
    font-size: 2.5rem;
    color: #FF9E00  ;
    
}

.circle--bottom{
    margin-left: 125%;
    margin-top: -25%;
    height: 200px;
    width: 200px;
   
}

.circle--bottom::after{
    content: "";
    position: absolute; 
    height: inherit;
    width: inherit;
    border: .1em dashed #FF9E00;
    border-radius: 100%;
    animation: spin 60s reverse linear infinite, animatecircle 10s ease infinite alternate;
}

.circle--top::after{
    content: "";
    position: absolute;
    height: inherit;
    width: inherit;
    border: .1em dashed #FF9E00;
    border-radius: 100%;
    animation: spin 60s reverse linear infinite, animatecircle 10s ease infinite alternate;
}
.circle--top{
    margin-left: 125%;
    margin-bottom: -25%;
    height: 200px;
    width: 200px;
    
}


@keyframes animatecircle{
    0%{
  border-radius: 48% 51% / 51% 48%  ;
      
    }
    25%{
        border-radius: 49% 52% / 53% 47%     ;
    }
    50%{
        border-radius: 48% 51% / 51% 48%  ;
        
    }
   75%{
       border-radius: 49% 52% / 53% 47%  ;
   }
    100%{
       border-radius: 48% 51% / 51% 48% ;
    }
}
@keyframes spin{
    from{
        transform:  rotate(0deg);
    }
    to {transform: rotate(360deg)
    };
}
.circle--top--left{
    margin-right:   250%;
    margin-bottom: -71%;
}
.circle--bottom--left{
    margin-right: 250%;
    margin-top: -71%;
}

.servicios__container{
    display: flex;
    margin: 2em;
    flex-direction: column;
    justify-content: center;
    align-items:center ;
}

.servicios__paragraph{
    width: 70%;
    text-align: center;
    font-size: 1.4rem;
}

.servicios__bg{
    object-fit: cover;
    width: auto;
    height: 80vh;
    border-radius: 15px;
    margin-top:  30px;
}

.slider{position:relative;
    width:80%;
    padding-left: -1px;
    box-sizing:border-box;
    overflow: hidden;
   
}
.slider *{box-sizing:inherit}

.slider__img{
    width: 100%;
    height: 350px;
    border-radius: 3px;
    border: 1px solid #FF9E00;
    object-fit: cover;
}

/*Estilos del footer*/

.contacto{
    width: 100vw;
    height: 90vh;
    background: var(--fontcolordestacado);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    
}

.footer__container{
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 5% 5%;
}

.footer__title{
    font-family: var(--fontfamilyfooter);
    font-weight: bold;
    font-size: 2.5rem;
    letter-spacing: 10px;
   
}

.footer__copy{
    font-size: 1.5rem;
   font-family: var(--fontfamilydestacado);
   font-weight: lighter;
   
}

.negritas{
    font-weight: 600;
    font-size: inherit;
    font-family: inherit;
    color: inherit;
    
}
.footer__paragraph{
    font-family: var(--fontfamilyfooter);
    text-transform: uppercase;
    font-weight: lighter;   
    
}

.footer__info{
    padding-bottom: 15px;
    font-family: var(--fontfamilyfooter);
    text-transform: uppercase;
    font-weight: lighter;
}
.footer__correo{
    padding: 1rem 0;
    font-family: var(--fontfamilyfooter);
    color: black;
    text-decoration: none;
    font-size: 1.5rem;
    text-transform: uppercase;
}

.footer__redes{
    width: 60%;

}
.redes__figures{
    display: flex;
    flex-direction: row;
    align-content: space-around;
    justify-content: space-between;
}

.redes__img{
    transition: .5s;
    height: 80%;
}

.redes__img:hover{
    transform: scale(1.1);
    transition:  .5s;
}




.form{
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 10px 0;
    margin-right: 15%;
    font-family:var(--fontfamilySecundiario);
    justify-content: center;
    
}

.Mensaje{
    min-width: 100%;
    max-width: 100%;
    min-height: 150px;
    max-height: 150px;
}

.Input{
    
    margin-bottom: 10px;
    background-color: rgba(0, 0, 0, 0);
    outline: none;
    border: 2.5px solid black;
    padding: 10px 5px;
    font-size: 1rem;
    transition: color 1s linear;
    -webkit-appearance: none;
    
}


.Input::placeholder{
    color: black;
    font-weight: bold;
    padding: inherit;
    letter-spacing: 1px;
   transition: letter-spacing .5s;
}

.Input:hover{
   border: none;
    border-bottom: 1.5px solid black;
    position: static;
    margin-bottom: 14px;
    
}

.Input:focus{
    background-color: #FFB030;
    transition: background-color 1s, letter-spacing .5s;
    transition: all 1s;
}

.Input:focus::placeholder{
    letter-spacing: 3px;
    transition: all 1s;
}

.Mensaje:hover{
    margin-bottom: 10px;
}

input:last-child{
width: 40%;
margin-left: auto;
margin-top: 1rem;
border: 1.5px solid #fff;
background-color: var(--colorbackground);
color: #fff;
font-size: 1.5rem;
letter-spacing: 2px;
transition: letter-spacing .5s;

}

input:last-child:hover{
    background-color: var(--colorbackground);
    margin-bottom: 9.5px;
    cursor: pointer;
    border: 1.5px solid #fff;
    color: var(--fontcolordestacado);
    letter-spacing: 5px;
    transition: letter-spacing .5s;
}


.animate__animated{
    visibility: visible;
}

/*Procesos*/

.procesos{
    height: fit-content;
    width: 99vw;
    background-color: var(--colorbackground);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    align-content: space-around;
}

.title__procesos{
    display: block;
    margin-right: auto;
    font-size: 3rem;
    padding-top: 3rem;
    padding-left: 3rem;
}

.title__procesos::first-letter{
    color: #FF9E00;
    font-size: 4rem;
}
.grid{
    display: grid;
    max-width: 90vw;
    grid-template-columns: repeat(3, 1fr);
    margin: 40px;
}

.grid__item{
  color: #fff;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: space-between;
    max-width: 300px;
    height: 400px;
    background-color: rgba(34, 31, 36, 0.5);
    outline: 1px solid #FF9E00;
    border-radius: 5px;
    margin: 15px 30px;
    padding: 15px;
    text-align: center;
    top: 0px;
    position: relative;
    transition: all .1s ease-in;
    
}

.grid__item img{
    display: block;
    height: 40%;
    
}

.grid__item p{
    display: block;
    height: 50%;
    padding-top: 5px;
}

.grid__title{
    display: block;
    height: 25%;
    padding-top: 15px; 
    color: white;
    font-size: 2rem;
    font-family: var(--fontfamilydestacado); 
}

.grid__title::first-letter{
    color: #FF9E00;
   
}
.grid__item:hover{
   position: relative;
    top: -2px;
    transition: all .1s ease-in;
    box-shadow: -5px 5px 10px rgba(0, 0, 0, .5);
    background-color: rgba(34, 31, 36, 1);
}

.grid__item:nth-child(4){
    position: relative;
    left: 150px;
}
.grid__item:last-child{
    grid-column-start: -2;
    position: relative;
    right: 150px;
}


/*animaciones*/
.animate__fadeInUp {
    z-index: 1;
}

@media screen and (max-width: 1000px) {
    :root{
        --fonttextsize: 1rem;
        --fonttitlesize: 2.5rem;
    } 
    html{
        scroll-padding-top: var(--heightnav);
    }

    .copy{
        font-size: 20px;
    }
    .section__inicio{
        width: 100vw;
        height: calc(65vh - var(--heightnav));
        overflow: hidden;
        position: relative;
        margin-top: var(--heightnav);
    }

    .contacto{
        flex-direction: column;
        height: max-content;
    }
    .form{
        width: 80%;
        margin-right: 0;
    }
    .promesa__img{
        height: 50vh;
        width: auto;
        transition: none;
        filter: grayscale(0%);
    }

    .grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .grid__item:nth-child(4){
        position: relative;
        left: 0px;
    }
    .grid__item:last-child{
        grid-column-start: 1;
        position: relative;
        left: 150px;
    }
    
    /*Proyectos*/

   .title__container{
       font-size: 1.3rem;
       color: #FF9E00;
   }

    .copy{
       font-size: 1.2rem;
   }
   .proyecto__img{
       width: 55%;
       flex-grow: 1;
   }

   .proyectos__container{
       width: 55%;
   }
  }
  @media screen and (max-width: 676px) {
    :root{
        --fonttextsize: 20px;
        --fonttitlesize: 2rem;
    } 
.idiomas{
    margin-bottom: 10px;
    margin-right: 5px;
}

    .inicio__video{
        display: none;
    }
   
    .overlay{
        display: none;
    }

  .slider__inicio{
      display: block;
  }
    .nav__container{
        justify-content: space-between;
    }
    .nav__links{
        visibility: visible;
        position: fixed;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        width: 50%;
        height: 100vh;
       align-content: center;
       align-items: center;
       justify-content: flex-start;
       padding-top: 15%;
        top: 10%;
        left: 150%;
        z-index: 10;
        opacity: 1;
        background-color: var(--colorbackground);
        transition: all .7s;
    }

    .nav__link{
        margin-bottom: 15px;
        width: 9ch;
       text-align: center;
       
    }
    .menu{
        visibility: visible;
        position: initial;
        transition: all .3s ;
    }

    .active{
        left: 50%;
       translate: 0;
        transition: all .7s ease; 
    }

    .menu__color{
        filter: drop-shadow(0 0 10px #FF9E00);
        transition: all .3s ;
    }

    .p__bienvenida{
        margin-top: -7.14vh;
    }
    /*inicio*/
    .section__inicio{
        height: auto;
        margin-bottom: -5px;
    }
    .title--absolute{
        width: 100%;
        height: 100%;
        display: flex;
        text-align: center;
        top: 50%;
        left: 50%;
        align-items: center;
        transform: translate(-50%, -50%);
       pointer-events: none;
       padding-bottom: 40px;
    }

    .title__main{
        font-size: 2.5rem;
    }
    .titleprimary{
        font-size: 30px;
        text-shadow: 0px 0px 20px rgba(0, 0, 0, 1);
    }

    .inicio__video{
        height: 100%;
        width: auto;
       margin-top: auto;
    }
   
  
    .slider__inicio{position:relative;
        width:100%;
        
        box-sizing:border-box;
        overflow: hidden;
       
    }
    .slider *{box-sizing:inherit}
    
   .slider__inicio .slider__img{
        width: 100%;
        height: 350px;
        border-radius: 0px;
        border: 0px solid #FF9E00;
        object-fit: cover;
    }
    .copy{
        font-size: 17px;
    }

    .title__nosotros{
        font-size: 2.5rem;
    }
    .title__nosotros::first-letter{
        font-size: 3.5rem;
        color: #FF9E00;
    }
    .nosotros__paragraph{
        line-height: 2rem;
        font-size: 16px;
        padding-top: 10px;
    }

    .nosotros__container{
         height: 100vh;
    }
   
    .container__copy{
        max-width: 80%;
        margin-left: auto;
        margin-right: auto;
        letter-spacing: 0px;
        font-size: 16px;
      
    }

    /*Servicios*/

    

    .title__servicios{
        font-size: 2em;
    }

    .servicios__paragraph{
        font-size: 1.2rem;
        line-height: 1.5;
        width: 100%;
        margin-bottom: 15px;
    }

    .servicios__container{
        flex-direction: column-reverse;
    }
    .circle--center{
        order:1;
    }

    .circle:hover{
        transform: scale(100%);
    }
    .circle--top{
        margin: 0;
        margin-bottom: -20px;
    }

    .circle--bottom{
        margin: 0;
        margin-top: -20px;
    }
      /*Proyectos*/

    .item__proyectos, .item__proyectos:nth-child(2n){
        flex-direction: column;
        padding: 0;
        height: fit-content;
        align-items: center;
        text-align: center;
    }
    .item__proyectos{
        transition: all 1000ms ease;
    }

   .title__container{
    font-size: 1.3rem;
    color: #FF9E00;
    padding-top: 15px;
    padding-bottom: 15px;
}

 .copy{
    font-size: 1.2rem;
}
.proyecto__img{
    width: 100%;
    
}

.proyectos__container{
    width: 100%;
    padding-bottom: 15px;
}
    .grid{
        grid-template-columns: repeat(1, 1fr);
        width: fit-content;
    }
    .grid__item:nth-child(4){
        position: relative;
        left: 0px;
    }
    .grid__item:last-child{
        grid-column-start: 1;
        position: relative;
        left: 0px;
    }
    
/*Nosotros*/
    .nosotros__container{
        background-attachment: scroll;
    }
    /*footer*/
    .footer__container{
        width: 100%;
        font-size: 16px;
        text-align: center;
    }

    .footer__paragraph{
        font-size: .8em;
        margin-top: 20px;;
    }

  
   .footer__correo{
       width: auto;
       display: block;
       font-size: 1.2em;
   }
    
   .redes__figures{
       align-items: center;
   }
   .footer__redes{
    width: 100%;

}
   input:last-child{
    width: 100%;
    margin-left: auto;
    margin-top: 1rem;
    border: 1.5px solid #fff;
    background-color: var(--colorbackground);
    color: #fff;
    font-size: 1.5rem;
    letter-spacing: 1.5px;
    transition: letter-spacing .5s;
    
    }
    
    input:last-child:hover{
        background-color: var(--colorbackground);
        margin-bottom: 9.5px;
        cursor: pointer;
        border: 1.5px solid #fff;
        color: var(--fontcolordestacado);
        letter-spacing: 4px;
        transition: letter-spacing .5s;
    }
    
    .Input::placeholder{
        font-size: calc(inher);
    }
}
